# RPM Spec file for mod_contact

Name:      mod_contact
Version:   1.0.1
Release:   1%{?dist}
Summary:   Apache httpd contact module
License:   ASL 2.0
Group:     System Environment/Daemons
Source:    https://github.com/minfrin/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
Url:       https://github.com/minfrin/%{name}
BuildRequires: gcc, pkgconfig(apr-1), pkgconfig(apr-util-1), (httpd-devel or apache-devel or apache2-devel), mod_multipart-devel
Requires: (httpd or apache or apache2)

%description
The Apache mod_contact module provides a service that accepts
a form POST and optional file uploads, and sends the contents
of the form as an email.

%package devel
Group: Development/Libraries
Summary: Development tools for the mod_contact filters.
Requires: (httpd-devel or apache-devel or apache2-devel)

%description devel
Header file for the mod_contact filters converting a form to an email.

%prep
%setup -q
%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%if 0%{?sle_version} || 0%{?is_opensuse}
%{_libdir}/apache2/mod_contact.so
%else
%{_libdir}/httpd/modules/mod_contact.so
%endif

%files devel
%if 0%{?sle_version} || 0%{?is_opensuse}
%{_includedir}/apache2/mod_contact.h
%else
%{_includedir}/httpd/mod_contact.h
%endif

%doc AUTHORS ChangeLog README.md

%changelog
* Wed Oct 20 2021 Graham Leggett <minfrin@sharp.fm> - 1.0.0-1
- Initial version of the package

